package com.zehong.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 管道信息对象 t_pipe_info
 *
 * @author zehong
 * @date 2022-01-26
 */
public class TPipeInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 管道id */
    private Long pipeId;

    /** 管道长度 */
    @Excel(name = "管道长度")
    private BigDecimal pipeLength;

    /** 管径 */
    @Excel(name = "管径")
    private BigDecimal pipeDiameter;

    /** 压力 */
    @Excel(name = "压力")
    private BigDecimal pipePressure;

    /** 材质 */
    @Excel(name = "材质")
    private String pipeMaterial;

    /** 埋深 */
    @Excel(name = "埋深")
    private BigDecimal buriedDepth;

    /** 走向 */
    @Excel(name = "走向")
    private String pipeTrend;

    /** 人员类型：1.运行维护人员 2.抢修人员 */
    @Excel(name = "人员类型")
    private String peopleOccupation;

    /** 建设年代 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "建设年代", width = 30, dateFormat = "yyyy-MM-dd")
    private Date buildDate;

    /** 建设单位 */
    @Excel(name = "建设单位")
    private String buildUnit;

    /** 权属单位 */
    @Excel(name = "权属单位")
    private Long beyondEnterpriseId;

    /** 权属单位名称 */
    @Excel(name = "权属单位名称")
    private String beyondEnterpriseName;

    /** 坐标 */
    @Excel(name = "坐标")
    private String coordinates;

    /** 是否删除(0正常，1删除) */
    private String isDel;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setPipeId(Long pipeId)
    {
        this.pipeId = pipeId;
    }

    public Long getPipeId()
    {
        return pipeId;
    }
    public void setPipeLength(BigDecimal pipeLength)
    {
        this.pipeLength = pipeLength;
    }

    public BigDecimal getPipeLength()
    {
        return pipeLength;
    }
    public void setPipeDiameter(BigDecimal pipeDiameter)
    {
        this.pipeDiameter = pipeDiameter;
    }

    public BigDecimal getPipeDiameter()
    {
        return pipeDiameter;
    }
    public void setPipePressure(BigDecimal pipePressure)
    {
        this.pipePressure = pipePressure;
    }

    public BigDecimal getPipePressure()
    {
        return pipePressure;
    }
    public void setPipeMaterial(String pipeMaterial)
    {
        this.pipeMaterial = pipeMaterial;
    }

    public String getPipeMaterial()
    {
        return pipeMaterial;
    }
    public void setBuriedDepth(BigDecimal buriedDepth)
    {
        this.buriedDepth = buriedDepth;
    }

    public BigDecimal getBuriedDepth()
    {
        return buriedDepth;
    }
    public void setPipeTrend(String pipeTrend)
    {
        this.pipeTrend = pipeTrend;
    }

    public String getPipeTrend()
    {
        return pipeTrend;
    }
    public void setPeopleOccupation(String peopleOccupation)
    {
        this.peopleOccupation = peopleOccupation;
    }

    public String getPeopleOccupation()
    {
        return peopleOccupation;
    }
    public void setBuildDate(Date buildDate)
    {
        this.buildDate = buildDate;
    }

    public Date getBuildDate()
    {
        return buildDate;
    }
    public void setBuildUnit(String buildUnit)
    {
        this.buildUnit = buildUnit;
    }

    public String getBuildUnit()
    {
        return buildUnit;
    }
    public void setBeyondEnterpriseId(Long beyondEnterpriseId)
    {
        this.beyondEnterpriseId = beyondEnterpriseId;
    }

    public Long getBeyondEnterpriseId()
    {
        return beyondEnterpriseId;
    }
    public void setBeyondEnterpriseName(String beyondEnterpriseName)
    {
        this.beyondEnterpriseName = beyondEnterpriseName;
    }

    public String getBeyondEnterpriseName()
    {
        return beyondEnterpriseName;
    }
    public void setCoordinates(String coordinates)
    {
        this.coordinates = coordinates;
    }

    public String getCoordinates()
    {
        return coordinates;
    }
    public void setIsDel(String isDel)
    {
        this.isDel = isDel;
    }

    public String getIsDel()
    {
        return isDel;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("pipeId", getPipeId())
            .append("pipeLength", getPipeLength())
            .append("pipeDiameter", getPipeDiameter())
            .append("pipePressure", getPipePressure())
            .append("pipeMaterial", getPipeMaterial())
            .append("buriedDepth", getBuriedDepth())
            .append("pipeTrend", getPipeTrend())
            .append("peopleOccupation", getPeopleOccupation())
            .append("buildDate", getBuildDate())
            .append("buildUnit", getBuildUnit())
            .append("beyondEnterpriseId", getBeyondEnterpriseId())
            .append("beyondEnterpriseName", getBeyondEnterpriseName())
            .append("coordinates", getCoordinates())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("remarks", getRemarks())
            .toString();
    }
}
